import pandas as pd
import argparse

def read_and_print_csv(file_path):
    """
    Reads a CSV file into a Pandas DataFrame and prints it.
    :param file_path: str, path to the CSV file
    """
    try:
        df = pd.read_csv(file_path)  # Read CSV file into DataFrame
        print(df)  # Print DataFrame
    except Exception as e:
        print(f"Error reading the CSV file: {e}")

# Example usage
if __name__ == "__main__":
    parser = argparse.ArgumentParser(description="Read a CSV file and print its contents.")
    parser.add_argument("file_path", type=str, help="Path to the CSV file")
    args = parser.parse_args()   

    read_and_print_csv(args.file_path)

