import pandas as pd
import sys

def read_and_print_csv(file_path):
    """Reads a CSV file and prints its contents."""
    try:
        df = pd.read_csv(file_path)
        print(df)
    except Exception as e:
        print(f"Error reading file: {e}")

if __name__ == "__main__":
    if len(sys.argv) != 2:
        print("Usage: python read_csv.py <input_file.csv>")
    else:
        input_file = sys.argv[1]
        read_and_print_csv(input_file)

